package com.example.demo.entities;

import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.data.relational.core.mapping.Column;
import org.springframework.data.relational.core.mapping.Table;

import java.io.Serial;
import java.time.LocalDateTime;

@Table("CONFIGURATION.CONFIG_PARAM")
@Data
public class ConfigParam extends ConfigurationEntity {

	@Serial
	private static final long serialVersionUID = 4540201516789494922L;

	@Column("VALUE")
	private String value;

	@Column("LAST_UPDATE")
	@EqualsAndHashCode.Exclude
	private LocalDateTime updateTimestamp;

	@Builder
	public ConfigParam(String externalId, String value, LocalDateTime updateTimestamp) {
		super(externalId);
		this.value = value;
		this.updateTimestamp = updateTimestamp;
	}
}
