package com.example.demo.entities;

import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.Transient;
import org.springframework.data.domain.Persistable;
import org.springframework.data.relational.core.mapping.Column;

import java.io.Serializable;

@Data
@NoArgsConstructor
public abstract class ConfigurationEntity implements Serializable, Persistable<String> {

	private static final long serialVersionUID = 8189364734635082506L;

	@Id
	@Column("EXTERNAL_ID")
	private String externalId;

	@Transient
	private boolean isNew = false;

	public ConfigurationEntity(String externalId) {
		this.externalId = externalId;
	}

	@Override
	public String getId() {
		return externalId;
	}

	@Override
	public boolean isNew() {
		return isNew;
	}

}