package com.example.demo.repository;

import com.example.demo.entities.ConfigurationEntity;
import org.springframework.data.repository.NoRepositoryBean;
import org.springframework.data.repository.reactive.ReactiveCrudRepository;
import reactor.core.publisher.Mono;

import java.io.Serializable;

@NoRepositoryBean
public interface ConfigurationEntityCrudRepository<T extends ConfigurationEntity, V extends Serializable>
		extends ReactiveCrudRepository<T, V> {

	Mono<T> findOneByExternalId(String externalId);

	Mono<Void> deleteByExternalId(String externalId);

}
